local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadNCProfile()
local db = LibStub("AceDB-3.0"):New(NameplateCooldownsAceDB, nil, true)

if(NameplateCooldownsAceDB["profiles"]["GennUI"])then
db:SetProfile("GennUI")
else
NameplateCooldownsAceDB["profiles"]["GennUI"] = {
			["IconSortMode"] = "interrupt-trinket-other",
			["IconSize"] = 20,
			["DBVersion"] = 8,
			["ShowBorderInterrupts"] = false,
			["IconYOffset"] = -40,
			["ShowBorderTrinkets"] = false,
			["Font"] = "Century Gothic Bold",
			["SpellCDs"] = {
				["Divine Shield"] = {
					["enabled"] = true,
					["refSpellID"] = 642,
					["cooldown"] = 240,
					["texture"] = 135896,
				},
				["Power Infusion"] = {
					["enabled"] = true,
					["refSpellID"] = 10060,
					["cooldown"] = 120,
					["texture"] = 135939,
				},
				["Arcane Power"] = {
					["enabled"] = true,
					["refSpellID"] = 12042,
					["cooldown"] = 90,
					["texture"] = 136048,
				},
				["Tranquility"] = {
					["enabled"] = true,
					["refSpellID"] = 740,
					["cooldown"] = 120,
					["texture"] = 136107,
				},
				["Death Coil"] = {
					["enabled"] = true,
					["refSpellID"] = 6789,
					["cooldown"] = 45,
					["texture"] = 136145,
				},
				["Stoneform"] = {
					["enabled"] = true,
					["refSpellID"] = 20594,
					["cooldown"] = 120,
					["texture"] = 136225,
				},
				["Berserker Rage"] = {
					["enabled"] = true,
					["refSpellID"] = 18499,
					["cooldown"] = 60,
					["texture"] = 136009,
				},
				["Hammer of Justice"] = {
					["enabled"] = true,
					["refSpellID"] = 853,
					["cooldown"] = 30,
					["texture"] = 135963,
				},
				["Mangle"] = {
					["enabled"] = true,
					["refSpellID"] = 22570,
					["cooldown"] = 10,
					["texture"] = 132134,
				},
				["Divine Protection"] = {
					["enabled"] = true,
					["refSpellID"] = 498,
					["cooldown"] = 60,
					["texture"] = 135954,
				},
				["Recklessness"] = {
					["enabled"] = true,
					["refSpellID"] = 1719,
					["cooldown"] = 90,
					["texture"] = 132109,
				},
				["Elemental Mastery"] = {
					["enabled"] = true,
					["refSpellID"] = 16166,
					["cooldown"] = 120,
					["texture"] = 136115,
				},
				["Kidney Shot"] = {
					["enabled"] = true,
					["refSpellID"] = 408,
					["cooldown"] = 20,
					["texture"] = 132298,
				},
				["Gouge"] = {
					["enabled"] = true,
					["refSpellID"] = 1776,
					["cooldown"] = 10,
					["texture"] = 132155,
				},
				["Blessing of Protection"] = {
					["enabled"] = true,
					["refSpellID"] = 1022,
					["cooldown"] = 135,
					["texture"] = 135964,
				},
				["Desperate Prayer"] = {
					["enabled"] = true,
					["refSpellID"] = 19236,
					["cooldown"] = 90,
					["texture"] = 135954,
				},
				["Adrenaline Rush"] = {
					["enabled"] = true,
					["refSpellID"] = 13750,
					["cooldown"] = 150,
					["texture"] = 136206,
				},
				["Lay on Hands"] = {
					["enabled"] = true,
					["refSpellID"] = 633,
					["cooldown"] = 600,
					["texture"] = 135928,
				},
				["Psychic Scream"] = {
					["enabled"] = true,
					["refSpellID"] = 8122,
					["cooldown"] = 30,
					["texture"] = 136184,
				},
				["Evasion"] = {
					["enabled"] = true,
					["refSpellID"] = 5277,
					["cooldown"] = 120,
					["texture"] = 136205,
				},
				["Tiger's Fury"] = {
					["enabled"] = true,
					["refSpellID"] = 5217,
					["cooldown"] = 30,
					["texture"] = 132242,
				},
				["Charge"] = {
					["enabled"] = true,
					["refSpellID"] = 100,
					["cooldown"] = 17,
					["texture"] = 132337,
				},
				["Dash"] = {
					["enabled"] = true,
					["refSpellID"] = 1850,
					["cooldown"] = 180,
					["texture"] = 132120,
				},
				["Blessing of Freedom"] = {
					["enabled"] = true,
					["refSpellID"] = 1044,
					["cooldown"] = 25,
					["texture"] = 135968,
				},
				["Bash"] = {
					["enabled"] = true,
					["refSpellID"] = 5211,
					["cooldown"] = 50,
					["texture"] = 132114,
				},
				["Bestial Wrath"] = {
					["enabled"] = true,
					["refSpellID"] = 19574,
					["cooldown"] = 90,
					["texture"] = 132127,
				},
			},
		},
	
db:SetProfile("GennUI")
end

end